"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f94e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9620>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9580>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f96c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9760>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9800>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f98a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9940>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f99e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9a80>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9b20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9bc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9c60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9d00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9da0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9e40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9ee0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff841f9f80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa020>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa0c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa160>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa200>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa2a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa340>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa3e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa480>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa520>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa5c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa660>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa700>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa7a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa840>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa8e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fa980>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841faa20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff841faac0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fab60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fac00>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff841faca0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fad40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fade0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fae80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841faf20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fafc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb060>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb100>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb1a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb240>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb2e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb380>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb420>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb4c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb560>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb600>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb6a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb740>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb7e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb880>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb920>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fb9c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fba60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbb00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbba0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbc40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbce0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbd80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbe20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbec0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff841fbf60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210040>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff842100e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210180>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210220>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842102c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210360>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210400>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842104a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210540>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff842105e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210680>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff842107c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210720>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210860>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210900>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff842109a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff84210a40>)]
name: str = 'fr_HOCCN'
